clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::TypeInfo Struct Reference

`#include "clang/AST/ASTContext.h"`

Collaboration diagram for clang::TypeInfo:
[legend]

## Public Member Functions
| TypeInfo ()
| TypeInfo (uint64_t Width, unsigned Align, bool AlignIsRequired)

## Public Attributes
uint64_t | Width = 0
unsigned | Align = 0
bool | AlignIsRequired: 1

## Detailed Description

Definition at line 143 of file ASTContext.h.

## Constructor & Destructor Documentation

## ◆ TypeInfo() [1/2]

clang::TypeInfo::TypeInfo | ( |  | ) |
| inline

Definition at line 148 of file ASTContext.h.

## ◆ TypeInfo() [2/2]

clang::TypeInfo::TypeInfo | ( | uint64_t | Width,
|  | unsigned | Align,
|  | bool | AlignIsRequired
| ) |  |
| inline

Definition at line 149 of file ASTContext.h.

## Member Data Documentation

## ◆ Align

unsigned clang::TypeInfo::Align = 0

Definition at line 145 of file ASTContext.h.

Referenced by EmitX86_64VAArgFromMemory(), clang::ASTContext::getPreferredTypeAlign(), clang::ASTContext::getTypeAlign(), clang::ASTContext::getTypeInfo(), clang::ASTContext::getTypeInfoInChars(), matchTypes(), roundUpSizeToCharAlignment(), and tryMatchRecordTypes().

## ◆ AlignIsRequired

bool clang::TypeInfo::AlignIsRequired

Definition at line 146 of file ASTContext.h.

Referenced by clang::ASTContext::getPreferredTypeAlign(), getTypeAlignIfRequired(), clang::ASTContext::getTypeInfo(), and clang::ASTContext::isAlignmentRequired().

## ◆ Width

uint64_t clang::TypeInfo::Width = 0

Definition at line 144 of file ASTContext.h.

Referenced by EmitX86_64VAArgFromMemory(), clang::FixedPointLiteral::FixedPointLiteral(), getIntegerWidthAndSignedness(), clang::ASTContext::getTypeInfo(), clang::ASTContext::getTypeInfoInChars(), clang::ASTContext::getTypeSize(), matchTypes(), roundUpSizeToCharAlignment(), and tryMatchRecordTypes().

The documentation for this struct was generated from the following file:

- include/clang/AST/ASTContext.h